Package org.drinkless.tdlib

# Class TdApi.SetBotName

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetBotName

Enclosing class:
  `TdApi`

public static class TdApi.SetBotName extends TdApi.Function<TdApi.Ok>
Sets the name of a bot. Can be called only if userTypeBot.canBeEdited == true.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the target bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languageCode`
  A two-letter ISO 639-1 language code.
  `String`
  `name`
  New bot's name on the specified language; 0-64 characters; must be non-empty if language code is empty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetBotName()`
  Default constructor for a function, which sets the name of a bot.
  `SetBotName(long botUserId, String languageCode, String name)`
  Creates a function, which sets the name of a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the target bot.

  - ### languageCode

    public String languageCode
    A two-letter ISO 639-1 language code. If empty, the name will be shown to all users for whose languages there is no dedicated name.

  - ### name

    public String name
    New bot's name on the specified language; 0-64 characters; must be non-empty if language code is empty.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetBotName

    public SetBotName()
    Default constructor for a function, which sets the name of a bot. Can be called only if userTypeBot.canBeEdited == true.

    Returns `Ok`

  - ### SetBotName

    public SetBotName(long botUserId, String languageCode, String name)
    Creates a function, which sets the name of a bot. Can be called only if userTypeBot.canBeEdited == true.

    Returns `Ok`

    Parameters:
      `botUserId` - Identifier of the target bot.
      `languageCode` - A two-letter ISO 639-1 language code. If empty, the name will be shown to all users for whose languages there is no dedicated name.
      `name` - New bot's name on the specified language; 0-64 characters; must be non-empty if language code is empty.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR